aboutsummaryrefslogtreecommitdiff
path: root/app
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-11-14 11:26:40 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-11-14 11:26:40 +0000
commit956d1936a79dfcbdd5925ccf3cae1e99504df949 (patch)
tree6406f5421eeb71328f7e8ed06a385c2e9a8ba996 /app
parent2f3a111eaadd6b415e81d7eac3d998f63bc1dc56 (diff)
downloadslackbuilds-956d1936a79dfcbdd5925ccf3cae1e99504df949.tar.gz
slackbuilds-956d1936a79dfcbdd5925ccf3cae1e99504df949.tar.bz2
clamav: rebuilt from mkbuild
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1920 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'app')
-rwxr-xr-xapp/antivirus/clamav/clamav.SlackBuild30
1 files changed, 18 insertions, 12 deletions
diff --git a/app/antivirus/clamav/clamav.SlackBuild b/app/antivirus/clamav/clamav.SlackBuild
index 2ddc36a1..9f948cbd 100755
--- a/app/antivirus/clamav/clamav.SlackBuild
+++ b/app/antivirus/clamav/clamav.SlackBuild
@@ -10,13 +10,13 @@
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
#
# slackbuild for clamav, by Sivio Rhatto
# requires:
-# tested: clamav-0.93
+# tested: clamav-0.94
#
# Look for slackbuildrc
@@ -31,7 +31,7 @@ CWD="$(pwd)"
SRC_NAME="clamav"
PKG_NAME="clamav"
ARCH=${ARCH:=i486}
-SRC_VERSION=${VERSION:=0.93}
+SRC_VERSION=${VERSION:=0.94}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1rha}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
@@ -55,8 +55,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
+ SLKCFLAGS="-O2 -fPIC"
LIBDIR="$PREFIX/lib64"
+ LDFLAGS="-L/lib64 -L/usr/lib64"
fi
# Set error codes (used by createpkg)
@@ -94,6 +95,8 @@ fi
# Import minimized signing key from
if echo http://www.clamav.net/gpg/tkojm.gpg | grep -q -v "SIGNING KEY URL"; then
lynx -dump http://www.clamav.net/gpg/tkojm.gpg | gpg --import || exit $ERROR_GPG
+elif echo [[SIGNING KEY ID]] | grep -q -v "SIGNING KEY ID"; then
+ gpg --recv-keys [[SIGNING KEY ID]] || exit $ERROR_GPG
else
gpg --import << EOKEY || exit $ERROR_GPG
[[SIGNING KEY]]
@@ -107,9 +110,9 @@ if echo [[SIGNING URL]] | grep -q -v "SIGNING URL"; then
wget "[[SIGNING URL]]" -O "$SRC_DIR/$SIGNATURE" || exit $ERROR_WGET
fi
else
- if [ -f "$SRC_DIR/$SRC.sig" ]; then
+ if [ -s "$SRC_DIR/$SRC.sig" ]; then
SIGNATURE="$SRC.sig"
- elif [ -f "$SRC_DIR/$SRC.asc" ]; then
+ elif [ -s "$SRC_DIR/$SRC.asc" ]; then
SIGNATURE="$SRC.asc"
else
echo Trying to get signature file from $URL.sig...
@@ -136,7 +139,7 @@ echo Success.
# Untar
cd "$PKG_WORK"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
-PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $8 }'`"
+PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $NF }'`"
cd "$PKG_SRC"
# Configure
@@ -172,9 +175,9 @@ done
mkdir -p "$PKG/install" || exit $ERROR_MKDIR
cat << EODESC > "$PKG/install/slack-desc"
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
+# on the right side marks the last column you can put a character in. You must
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
@@ -202,6 +205,9 @@ cat << EOSCRIPT > "$PKG/install/doinst.sh"
config() {
NEW="\$1"
OLD="\$(dirname \$NEW)/\$(basename \$NEW .new)"
+ OLD="\$(dirname \$NEW)/\$(basename \$OLD .sample)"
+ OLD="\$(dirname \$NEW)/\$(basename \$OLD .dist)"
+
# If there's no config file by that name, mv it over:
if [ ! -r \$OLD ]; then
mv \$NEW \$OLD
@@ -217,7 +223,7 @@ mkgroup() {
if ! grep -qe "^\$GROUP:" etc/group; then
echo Creating group \$GROUP...
chroot . /usr/sbin/groupadd \$GROUP
- fi
+ fi
}
mkuser() {